<?php
	$rdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $rdata)));
	$jdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $jdata)));
?>
<script>
	$j(function() {
		var tn = 'gestionnaires';

		/* data for selected record, or defaults if none is selected */
		var data = {
			fonction: <?php echo json_encode(array('id' => $rdata['fonction'], 'value' => $rdata['fonction'], 'text' => $jdata['fonction'])); ?>,
			agence: <?php echo json_encode(array('id' => $rdata['agence'], 'value' => $rdata['agence'], 'text' => $jdata['agence'])); ?>
		};

		/* initialize or continue using AppGini.cache for the current table */
		AppGini.cache = AppGini.cache || {};
		AppGini.cache[tn] = AppGini.cache[tn] || AppGini.ajaxCache();
		var cache = AppGini.cache[tn];

		/* saved value for fonction */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'fonction' && d.id == data.fonction.id)
				return { results: [ data.fonction ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for agence */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'agence' && d.id == data.agence.id)
				return { results: [ data.agence ], more: false, elapsed: 0.01 };
			return false;
		});

		cache.start();
	});
</script>

